import axios from 'axios';
import { S } from 'mockjs';


export interface LoginData {
  username: string;
  password: string;
}


export interface jobuser {
  status: string;
  code: number;
  message: string;
  data: object;

}

export interface Black {
    status: string;
    code: number;
    message: string;
    data: {};
}
export interface Refresh {
  status: string;
  code: number;
  data: {
    access_token: string;
    refresh_token: string;
  };
  message: string;
}

export interface ListParams {
    black?: string;
    username?: string;
  }
/**
 * 
 * @param data 获取列表
 * @returns 
 */
export function lists(params: ListParams) {
  return axios.post<jobuser>('admin/api/v1/userReward/lists',params);
}

